local L = AceLibrary("AceLocale-2.2"):new("Elephant")
local Elephant, self = Elephant, Elephant

function Elephant:DropdownCustomChatsInitialize()
	self.dropdowns.customChats:AddLine(
		'text', L['chatnames']['custom'],
		'isTitle', true
	)
	
	local index, tindex, k, v
	for index, tindex in pairs(self.db.char.logs) do
		if not (type(index) == "number") then
			if not L['generalchats'][index] then
				local textR, textG, textB = nil, nil, nil
				
				if GetChannelName(tindex.name) == 0 then
					textR = self.defaultConf.colors.disabledchannel.r
					textG = self.defaultConf.colors.disabledchannel.g
					textB = self.defaultConf.colors.disabledchannel.b
				end
				
				self.dropdowns.customChats:AddLine(
					'text', tindex.name,
					'closeWhenClicked', true,
					'func', function(arg1)
						self:ChangeLog(arg1)
					end,
					'arg1', index,
					'checked', tindex.enabled,
					'textR', textR,
					'textG', textG,
					'textB', textB
				)
			end
		end
	end
	
	self.dropdowns.customChats:AddLine()
	self.dropdowns.miscChats:AddLine(
		'text', CLOSE,
		'closeWhenClicked', true
	)
end

function Elephant:DropdownGeneralChatsInitialize()
	self.dropdowns.customChats:AddLine(
		'text', L['chatnames']['general'],
		'isTitle', true
	)
	
	local index, tindex
	for index, tindex in pairs(self.db.char.logs) do
		if type(index) == "string" then
			if L['generalchats'][index] then
				self.dropdowns.generalChats:AddLine(
					'text', tindex.name,
					'closeWhenClicked', true,
					'func', function(arg1)
						self:ChangeLog(arg1)
					end,
					'arg1', index,
					'checked', tindex.enabled
				)
			end
		end
	end
	
	self.dropdowns.generalChats:AddLine()
	self.dropdowns.miscChats:AddLine(
		'text', CLOSE,
		'closeWhenClicked', true
	)
end

function Elephant:DropdownMiscChatsInitialize()
	self.dropdowns.customChats:AddLine(
		'text', L['chatnames']['misc'],
		'isTitle', true
	)
	
	self.dropdowns.miscChats:AddLine(
		'text', L['chatnames']['loot'],
		'closeWhenClicked', true,
		'func', function(arg1)
			self:ChangeLog(arg1)
		end,
		'arg1', self.defaultConf.defaultindexes.loot,
		'checked', self.db.char.logs[self.defaultConf.defaultindexes.loot].enabled
	)
	self.dropdowns.miscChats:AddLine(
		'text', L['chatnames']['system'],
		'closeWhenClicked', true,
		'func', function(arg1)
			self:ChangeLog(arg1)
		end,
		'arg1', self.defaultConf.defaultindexes.system,
		'checked', self.db.char.logs[self.defaultConf.defaultindexes.system].enabled
	)
	self.dropdowns.miscChats:AddLine(
		'text', L['chatnames']['combat'],
		'closeWhenClicked', true,
		'func', function(arg1)
			self:ChangeLog(arg1)
		end,
		'arg1', self.defaultConf.defaultindexes.combat,
		'checked', self.db.char.logs[self.defaultConf.defaultindexes.combat].enabled
	)
	
	self.dropdowns.miscChats:AddLine()
	self.dropdowns.miscChats:AddLine(
		'text', CLOSE,
		'closeWhenClicked', true
	)
end